Bug 1414031 (kontact) - Review Request: kontact - Personal Information Manager
Summary: Review Request: kontact - Personal Information Manager
Keywords:
Status: CLOSED RAWHIDE
Alias: kontact
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:06 UTC by Rex Dieter
Modified: 2017-01-23 17:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-23 17:32:38 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-01-17 15:06:57 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kontact.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kontact-16.12.1-1.fc25.src.rpm
Description: Personal Information Manager
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2017-01-17 15:07:15 UTC
required kde-apps-16.12 dependencies are building now for rawhide.  Once in, I'll submit a scratch build.

Comment 2 Christian Dersch 2017-01-21 11:15:05 UTC
Will review, a first comment:

Requires: %{name}-libs%%{?_isa} = %{version}-%{release}

That should be "Requires: %{name}-libs%{?_isa} = %{version}-%{release}", otherwise isa macro is not evaluated and the packages do not install ;)

Comment 3 Christian Dersch 2017-01-21 21:06:18 UTC
Approved, you just have to fix the postun scriptlet and may also add hicolor-icon-theme to requirements. But as these are minor changes you can do that @import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

===> They are plugins

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v2 or later) (with Qt exception)",
     "Unknown or generated". 7 files have unknown license. Detailed output
     of licensecheck in /home/review/1414031-kontact/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/config.kcfg,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/doc/HTML,
     /usr/share/icons/hicolor/64x64, /usr/share/icons/hicolor/48x48,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor,
     /usr/share/doc/HTML/en, /usr/share/kxmlgui5
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in kontact
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.

ExclusiveArch: %{qt5_qtwebengine_arches} is required for qt5-qtwebengine

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 757760 bytes in 26 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kontact-
     libs , kontact-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.

==> The postun scriptlet misses a fi at the end! Please fix

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kontact-16.12.1-1.fc26.x86_64.rpm
          kontact-libs-16.12.1-1.fc26.x86_64.rpm
          kontact-debuginfo-16.12.1-1.fc26.x86_64.rpm
          kontact-16.12.1-1.fc26.src.rpm
kontact.x86_64: W: non-conffile-in-etc /etc/xdg/kontact.categories
kontact.x86_64: W: non-conffile-in-etc /etc/xdg/kontact.renamecategories
kontact.x86_64: W: no-manual-page-for-binary kontact
kontact.x86_64: E: shell-syntax-error-in-%postun
kontact-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kontact-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kontact-libs.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 6 warnings.

===> postun scriptlet has to be fixed!


Rpmlint (debuginfo)
-------------------
Checking: kontact-debuginfo-16.12.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
kontact.x86_64: W: non-conffile-in-etc /etc/xdg/kontact.categories
kontact.x86_64: W: non-conffile-in-etc /etc/xdg/kontact.renamecategories
kontact.x86_64: W: no-manual-page-for-binary kontact
kontact.x86_64: E: shell-syntax-error-in-%postun
kontact-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kontact-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5AkonadiContact.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5KIOCore.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5JobWidgets.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5WebEngine.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5WebEngineCore.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5WebChannel.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5Positioning.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5Quick.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5Qml.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5Contacts.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5TextWidgets.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5WindowSystem.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5Completion.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5SonnetUi.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5AkonadiCore.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5Codecs.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5Xml.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5Auth.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libQt5Network.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libKF5ItemModels.so.5
kontact-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkontactprivate.so.5.4.1 /lib64/libm.so.6
kontact-libs.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 27 warnings.



Requires
--------
kontact (rpmlib, GLIBC filtered):
    /bin/sh
    kontact-libs(x86-64)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5KdepimDBusInterfaces.so.5()(64bit)
    libKF5KontactInterface.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkontactprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kontact-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kontact
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5GrantleeTheme.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KCMUtils.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5KontactInterface.so.5()(64bit)
    libKF5Libkdepim.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Positioning.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5WebChannel.so.5()(64bit)
    libQt5WebEngine.so.5()(64bit)
    libQt5WebEngineCore.so.5()(64bit)
    libQt5WebEngineWidgets.so.5()(64bit)
    libQt5WebEngineWidgets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkontactprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kontact-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
kontact:
    appdata()
    appdata(org.kde.kontact.appdata.xml)
    application()
    application(kontact-admin.desktop)
    application(org.kde.kontact.desktop)
    kontact
    kontact(x86-64)

kontact-libs:
    kontact-libs
    kontact-libs(x86-64)
    libkontactprivate.so.5()(64bit)

kontact-debuginfo:
    kontact-debuginfo
    kontact-debuginfo(x86-64)



Unversioned so-files
--------------------
kontact-libs: /usr/lib64/qt5/plugins/kcm_kontact.so

Source checksums
----------------
http://download.kde.org/stable/applications/16.12.1/src/kontact-16.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : 6c5698c270e95463c39109b31b9d033ce30278ac0433911654dfcc983613d3fa
  CHECKSUM(SHA256) upstream package : 6c5698c270e95463c39109b31b9d033ce30278ac0433911654dfcc983613d3fa


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1414031
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2017-01-23 16:05:31 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kontact

Comment 5 Rex Dieter 2017-01-23 17:32:38 UTC
imported, thanks.


Note You need to log in before you can comment on or make changes to this bug.